//
// Name: INTERSTELLAR CONSOLE -- Setup
// Author: Misato Observatory, Wakayama, Japan
// License: GPL (General Public License)
//

#include <process.h>
#include <stdio.h>
#include <unistd.h>

int main( int argc, char *argv[] )
{
    FILE *fp;

    fp = fopen(".\\interstellar-console\\" STELLARIUM_VERSION "\\setup\\setup.ps1", "r");
    if ( fp == NULL ) {
      printf("================================================================\n");
      printf("\n");
      printf("        ______ ∧ ∧    ／￣￣￣￣￣￣￣￣￣￣￣￣￣￣￣￣\n");
      printf("     〜'______(,ﾟДﾟ) ＜  やると思ってました！ ERROR です \n");
      printf("      ＵU     Ｕ U      ＼＿＿＿＿＿＿＿＿＿＿＿＿＿＿＿＿\n");
      printf("\n");
      printf("----------------------------------------------------------------\n");
      printf(" .\\interstellar-console\\setup\\setup.ps1 が見つかりません。\n");
      printf(" interstellar-console_x.x.zip が正しく解凍されていないようです。\n");
      printf("================================================================\n");
      printf("\n");
      printf("【注意】\n");
      printf("\n");
      printf("・interstellar-console_x.x.zip を解凍するには、右クリックで「すべて展開」を選びます。\n");
      printf("  展開されたフォルダの中にある setup.exe をダブルクリックしてください。\n");
      printf("\n");
      printf("・interstellar-console_x.x.zip をダブルクリックしないでください。\n");
      printf("  「開く」「新しいウィンドウで開く」も不可です。\n");
      printf("  それらの操作では解凍は行われず、ディスク上にファイルが展開されません。\n");
      printf("\n");
      printf("\n");
      printf("このウィンドウを閉じるには、右上の×をクリックしてください。\n");
      while ( 1 ) {
        sleep(1);
      }
    }
    else {
      fclose(fp);
      if ( argc == 1 ) {
        //system("powershell.exe -NoLogo -ExecutionPolicy RemoteSigned .\\interstellar-console\\" STELLARIUM_VERSION "\\setup\\setup.ps1");
        system("powershell.exe -NoLogo -ExecutionPolicy Bypass .\\interstellar-console\\" STELLARIUM_VERSION "\\setup\\setup.ps1");
      } else if ( argc == 2 ) {
        system("powershell.exe -NoLogo -ExecutionPolicy Bypass .\\interstellar-console\\" STELLARIUM_VERSION "\\setup\\install.ps1");
      }
    }

    return 0;
}

